local M = {}

local G_pressed = false
local gearsMoving = false
local gearsState = 1

local function init()
	electrics.values['st10landinggear'] = 0
	gearsState = 1
	gearsMoving = false
end

local function reset()
	init()
end

local function updateGFX(dt)
		if gearsMoving then
			--calculate the increment amount
			local incAmount = (0.006 * (bullettime.simulationSpeed / 100))
			local hValue = electrics.values['st10landinggear']
			
			local nValue = hValue + incAmount
			if gearsState == 0 then
				nValue = hValue - incAmount
			end
			
			if nValue <= 0 then nValue = 0 gearsMoving = false gearsState = 1 end
			if nValue >= 1 then nValue = 1 gearsMoving = false gearsState = 0 end
			electrics.values['st10landinggear'] = nValue
			
		end
		if input.keys.G then
			if not G_pressed then 
				G_pressed=true 
				if gearsMoving == false then
					gearsMoving = true
				end
			end
		else
			G_pressed=false
		end
end

-- public interface
M.state = gearsState
M.init      = init
M.reset     = reset
M.updateGFX = updateGFX

return M